<?php   

    $this->addBreadcrumb(LANG_PLACES_CP_FIND_COORDS);
    $this->setPageTitle(LANG_PLACES_CP_FIND_COORDS);
    
    $this->addJS('templates/default/js/maps/systems/'.$options['system'].'.js');
    $this->addJS('templates/default/js/maps/coords.js');
    
?>

<div id="maps-find-coords">
    
    <h2><?php echo LANG_PLACES_CP_FIND_COORDS; ?><?php if ($items_count) { ?>: <span class="count"><?php echo $items_count; ?></span><?php } ?></h2>
    
    <?php if ($items_count) { ?>
        <div class="search">
            <?php $this->renderGrid($this->href_to('coords_ajax'), $grid); ?>
            <div class="buttons">
                <?php echo html_button(LANG_PLACES_CP_FIND_COORDS, 'start'); ?>
            </div>
            <script>
                <?php echo $this->getLangJS('LANG_PLACES_COORDS_SEARCHING', 'LANG_PLACES_COORDS_SAVING'); ?>
                icms.mapsCoords.init({
                    rowsExist: <?php echo $items_count; ?>,
                    saveURL: '<?php echo $this->href_to('coords_save'); ?>'
                });
            </script>
        </div>
    <?php } ?>
        
    <div class="none" <?php if ($items_count) { ?>style="display:none"<?php } ?>>
        <p><?php echo LANG_PLACES_CP_FIND_COORDS_NONE; ?></p>
    </div>
        
</div>
