<?php

    $this->addBreadcrumb(LANG_PLACES_CP_IMPORT, $this->href_to('import'));
    $this->addBreadcrumb(LANG_PLACES_CP_IMPORT_HISTORY, $this->href_to('import_history'));
    $this->addBreadcrumb(LANG_PLACES_CP_IMPORT_RESULT);
    $this->setPageTitle(LANG_PLACES_CP_IMPORT_RESULT);

    if ($items_count){
        
        $spellcount = html_spellcount($items_count, $ctype['labels']['one'], $ctype['labels']['two'], $ctype['labels']['many']);
        $base_url = $this->href_to('import_result') . "?i={$import_id}";
        
        $this->addToolButton(array(
            'class' => 'coords',
            'title' => LANG_PLACES_CP_FIND_COORDS,
            'href'  => $this->href_to('coords')
        ));
        
        $this->addToolButton(array(
            'class' => 'show',
            'title' => LANG_PLACES_CP_IMPORT_PUB,
            'href'  => $base_url . '&do=show',
        ));
        
        $this->addToolButton(array(
            'class' => 'hide',
            'title' => LANG_PLACES_CP_IMPORT_HIDE,
            'href'  => $base_url . '&do=hide',
        ));
        
        $this->addToolButton(array(
            'class' => 'delete',
            'title' => LANG_DELETE,
            'href'  => $base_url . '&do=delete',
            'confirm' => LANG_PLACES_CP_IMPORT_DELETE_CONFIRM
        ));
        
        $this->addToolButton(array(
            'class' => 'add',
            'title' => LANG_PLACES_CP_IMPORT_REPEAT,
            'href'  => $this->href_to('import')
        ));
        
    }
    
?>

<div id="maps-import-result">
    
    <h2><?php echo LANG_PLACES_CP_IMPORT_RESULT; ?><?php if ($items_count) { ?>: <span><?php echo $spellcount; ?></span><?php } ?></h2>
    
    <?php $this->renderGrid($this->href_to('import_result_ajax', array($import_id)), $grid); ?>
        
</div>
